1d0a0fce4021 — Chris Cannam 2 years ago
Include dependencies for all targets
2 files changed, 14 insertions(+), 7 deletions(-)

M deploy/linux/debian-dependencies.sh
M deploy/linux/deploy-deb.sh
M deploy/linux/debian-dependencies.sh +13 -6
@@ 1,11 1,18 @@ 
 #!/bin/bash
 
-target=$1
+targets="$@"
+
+if [ t"$targets" = "" ]; then
+    echo "Usage: $0 target-executable"
+    exit 2
+fi
 
-if [ ! -f "$target" ]; then 
-    echo "Usage: $0 target-executable"
-    exit 1
-fi
+for target in $targets ; do
+    if [ ! -f "$target" ]; then
+        echo "Error: target executable ./$target not found"
+        exit 1
+    fi
+done
 
 set -eu
 

          
@@ 15,7 22,7 @@ rfile=/tmp/redundant_$$
 trap "rm -f $pfile $rfile" 0
 echo 1>&2
 
-ldd "$target" | awk '{ print $3; }' | grep '^/' | while read lib; do
+ldd $targets | awk '{ print $3; }' | grep '^/' | while read lib; do
     if test -n "$lib" ; then
 	dpkg-query -S "$lib"
     fi

          
M deploy/linux/deploy-deb.sh +1 -1
@@ 74,7 74,7 @@ gzip -9 "$targetdir"/usr/share/doc/"$pac
 
 perl -i -p -e "s/Architecture: .*/Architecture: $arch/" "$targetdir"/DEBIAN/control
 
-deps=`bash "$depdir"/debian-dependencies.sh "$program"`
+deps=`bash "$depdir"/debian-dependencies.sh "$program" "$kdiff"`
 
 perl -i -p -e "s/Depends: .*/$deps/" "$targetdir"/DEBIAN/control